CFD Online URL
[Sponsors]
Home > Forums > OpenFOAM Installation

Gcc conflict install

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   December 10, 2007, 08:37
Default Hi all, When installing for
  #1
New Member
 
inddzen
Join Date: Mar 2009
Posts: 4
Rep Power: 7
inddzen is on a distinguished road
Hi all,

When installing for the first time OpenFoam, I choosed to use my own Gcc-4.1.2 on Fedora 8.

Everything was fine (I was able to run my applications) a part from running FoamX.
I decided then to use the gcc-4.2.1 provided with OF but I got a critical error while running foamInstallationTest :

-----------------------------
gcc 4.2.1
WARNING Conflicting Installations
foam setting : /home/lhassa/OpenFoam/linux64/gcc-4.2.1/bin/gcc
current path : /usr/bin/gcc
CRITICAL ERROR
....
-----------------------------

Yes my $WM_64=on...
Does anyone know how to fix this problem????
inddzen is offline   Reply With Quote

Old   December 10, 2007, 14:34
Default Hello, Good evening! Cou
  #2
Senior Member
 
Philippose Rajan
Join Date: Mar 2009
Location: Germany
Posts: 527
Rep Power: 15
philippose will become famous soon enough
Hello,

Good evening!

Couple of suggestions...

Is that the only error you are getting when you run "foamInstallationTest" ? or are there any more errors before this?

If that was the only error... I know this is trivial... but I hope you have a folder called "gcc-4.2.1" in your "/home/<user>/OpenFOAM/linux64" folder, and that the "gcc" file exists in the path as shown in the output of "foamInstallationTest".

The other possibility is... you need to have added "export WM_64=on" in your ".bashrc" file BEFORE you source the OpenFOAM bashrc file.

Yet another possibility.... check to see if you have a "Path" setting in you ".bashrc" file at a point after your source the OpenFOAM bashrc file, which places "/usr/bin" in front of the OpenFOAM paths.

Hmmm... I think that about covers most of the common problems one would expect to come across for the issue you are facing :-)!

Hope this helps!

Enjoy!

Philippose
philippose is offline   Reply With Quote

Old   December 11, 2007, 17:00
Default Hi, Thanks for you answer..
  #3
New Member
 
inddzen
Join Date: Mar 2009
Posts: 4
Rep Power: 7
inddzen is on a distinguished road
Hi,

Thanks for you answer...

It working but the way I fixed it is really weird : I reinstalled OF and Foam is working even if it's giving the conflict message for gcc!!!!

Well, hope that it'll not cause any surprises in the future.
inddzen is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem compiling dx VendorShellClassRec conflict mirko OpenFOAM Installation 4 April 29, 2008 13:42
Install tutorials jonlemur OpenFOAM Installation 4 August 8, 2007 15:15
Help: Do I have to install the VC++ for UDF... KE FLUENT 2 August 21, 2003 22:32
Install Gambit Peter FLUENT 1 June 28, 2002 19:17
Conflict Desperate User FLUENT 4 March 19, 2002 22:41


All times are GMT -4. The time now is 18:42.